DOM::EventListener class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::EventListener Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_events.h>`

List of all members.

## Public Member Functions
virtual void | handleEvent (Event &evt)
| This method is called whenever an event occurs of the type for which the EventListener interface was registered.
virtual DOMString | eventListenerType ()
## Protected Attributes
EventListenerImpl * | impl

## Detailed Description

Introduced in DOM Level 2.

The EventListener interface is the primary method for handling events. Users implement the EventListener interface and register their listener on an EventTarget using the AddEventListener method. The users should also remove their EventListener from its EventTarget after they have completed using the listener.

When a Node is copied using the cloneNode method the EventListeners attached to the source Node are not attached to the copied Node. If the user wishes the same EventListeners to be added to the newly created copy the user must add them manually.

Definition at line 68 of file dom2_events.h.

## Member Function Documentation

void EventListener::handleEvent | ( | Event & | evt | ) | `[virtual]`

  | This method is called whenever an event occurs of the type for which the EventListener interface was registered. Parameters Parameters:
  evt | The Event contains contextual information about the event. It also contains the stopPropagation and preventDefault methods which are used in determining the event's flow and default action.
Definition at line 38 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001